#ifndef UART_H_
#define UART_H_
#include "msp.h"

#define RETURN_CHR      13
#define NEW_LINE_CHR    10
#define ZERO_CHR        48
#define NINE_CHR        57
#define ESCAPE_CHR      27

#define SEND_UART_NEWLINE {\
    sendUARTchar(RETURN_CHR); \
    sendUARTchar(NEW_LINE_CHR); \
}

#define SEND_UART_ESC(_STR) {\
    sendUARTchar(ESCAPE_CHR); \
    sendUARTstr(_STR); \
}

void UART_init();

void sendUARTchar(char data);

void sendUARTstr(char str[]);

void sendUARTint(int num);

uint16_t getThreshold();


#endif /* UART_H_ */
