/*
 * cooler.h
 *
 *  Created on: May 30, 2019
 *      Author: clayrosenthal
 */

#ifndef COOLER_H_
#define COOLER_H_
#include "msp.h"
#include "UART.h"
#include "fan.h"
//#include "temp.h"

/*
 * 0.5000
 * 0.2500
 * 0.1250
 * 0.0625
 */

#define FORMULA_10TH(_TEMP)     (5 * (((_TEMP) & BIT3) >> 3) + 2 * (((_TEMP)& BIT2) >> 2) + 1 * (((_TEMP) & BIT1) >> 1) + ((FORMULA_100TH(_TEMP)) / 10))

#define FORMULA_100TH(_TEMP)    ((5 * (((_TEMP)& BIT2) >> 2) + 2 * (((_TEMP) & BIT1) >> 1) + 6 * ((_TEMP) & BIT0)) % 10)

#define FORMULA_1000TH(_TEMP)   (5 * (((_TEMP) & BIT1) >> 1)  + 2 * ((_TEMP) & BIT0))

#define FORMULA_10000TH(_TEMP)  (5 * ((_TEMP) & BIT0))

void cooler_init();

void updateTemp(int newTemp);

void updateThreshold(int newThreshold);

void updateSpeed(int newSpeed);

int calcDiff(uint16_t temp, uint16_t threshold);


#endif /* COOLER_H_ */
