#ifndef _DELAY_H_
#define _DELAY_H_
#include <stdint.h>
#include "msp.h"
#define FREQ_1_5MHZ ((uint32_t)0x00000000)  /*!< Nominal DCO Frequency Range (MHz): 1 to 2 */
#define FREQ_3MHZ   ((uint32_t)0x00010000)  /*!< Nominal DCO Frequency Range (MHz): 2 to 4 */
#define FREQ_6MHZ   ((uint32_t)0x00020000)  /*!< Nominal DCO Frequency Range (MHz): 4 to 8 */
#define FREQ_12MHZ  ((uint32_t)0x00030000)  /*!< Nominal DCO Frequency Range (MHz): 8 to 16 */
#define FREQ_24MHZ  ((uint32_t)0x00040000)  /*!< Nominal DCO Frequency Range (MHz): 16 to 32 */
#define FREQ_48MHZ  ((uint32_t)0x00050000)  /*!< Nominal DCO Frequency Range (MHz): 32 to 64 */

#define _1_5MHZ     ((uint32_t)1500000)
#define _3MHZ       ((uint32_t)3000000)
#define _6MHZ       ((uint32_t)6000000)
#define _12MHZ      ((uint32_t)12000000)
#define _24MHZ      ((uint32_t)24000000)
#define _48MHZ      ((uint32_t)48000000)

#define MILLI 1000
#define MICRO 1000000

int delay_cycles(uint32_t counter);

int delay_us(uint16_t us);

int delay_ms(uint16_t ms);

int set_DCO(uint32_t freq);

int get_DCO();

#endif
