/*
 * temp.h
 *
 *  Created on: Jun 4, 2019
 *      Author: clayrosenthal
 */

#ifndef TEMP_H_
#define TEMP_H_
#include "msp.h"

#define SDA     (BIT6)  // 1.6
#define SCL     (BIT7)  // 1.7
#define ALERT   (BIT7)  // 5.7

#define P_TEMP      (0)
#define P_CONFIG    (1)
#define P_T_HIGH    (2)
#define P_T_LOW     (3)
#define RESOLUTION  (0.0625) // from data sheet
#define CONTROL (BIT6 | BIT3) // 100|1000
#define BIT8_MASK    (255) // 11111111
#define BIT4_MASK    (15)  // 1111
#define DEFAULT_THRESHOLD (80)
#define DEFAULT_CONFIG  (0x62A0) // 01100010 10100000

// Macros for the registers
#define READ_TEMP   (readData(P_TEMP) >> 4)
#define WRITE_T_HIGH(_T_HIGH)   (sendData(P_T_HIGH, _T_HIGH))
#define WRITE_T_LOW(_T_LOW)   (sendData(P_T_LOW, _T_LOW))
#define WRITE_CONFIG(_CONFIG)   (sendData(P_CONFIG, _CONFIG))


void temp_init();

void sendData(uint8_t address, uint16_t data);

uint16_t readData(uint8_t address);


#endif /* TEMP_H_ */
